/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.       */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2019_PERSONAL_DATA_(P-FILE)_Longitudinal_EN_DELIMITED.dct, clear
/*
label define  pb020_cl1 AL   "Albania" AT   "Osterreich" BE   "Belgique/Belgie" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech Republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ellada" ES   "Espana" FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak Republic" TR   "Turkey" UK   "United Kingdom"  
label define  pb050_f_cl4 1   "Filled"  
label define  pb080_f_cl6 1   "Filled" -2   "Not applicable (country does not use the selected respondent model)" -3   "Non-selected respondent"  
label define  pb100_cl7 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb100_f_cl8 1   "Filled" -1   "Missing"  
label define  pb110_f_cl10 1   "Filled" -1   "Missing"  
label define  pb120_f_cl12 1   "Filled" -1   "Missing" -2   "Not applicable (information only extracted from registers)"  
label define  pb130_cl13 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  pb130_f_cl14 1   "Filled" -1   "Missing"  
label define  pb140_f_cl16 1   "Filled" -1   "Missing"  
label define  pb150_cl17 1   "Male" 2   "Female"  
label define  pb150_f_cl18 1   "Filled" -1   "Missing"  
label define  pb160_f_cl20 1   "Filled" -1   "Missing" -2   "Not applicable (father is not a household member)"  
label define  pb170_f_cl22 1   "Filled" -1   "Missing" -2   "Not applicable (mother is not a household member)"  
label define  pb180_f_cl24 1   "Filled" -1   "Missing" -2   "Not applicable (person has no spouse/partner or spouse/partner is not a household member)"  
label define  pb190_cl25 1   "Never married" 2   "Married" 3   "Separated" 4   "Widowed" 5   "Divorced"  
label define  pb190_f_cl26 1   "Filled" -1   "Missing"  
label define  pb200_cl27 1   "Yes, on a legal basis" 2   "Yes, without a legal basis" 3   "No"  
label define  pb200_f_cl28 1   "Filled" -1   "Missing"  
label define  pe040_cl29 000   "Less than primary education" 100   "Primary education" 200   "Lower secondary education" 300   "Upper secondary education (not further specified)" 400   "Post-secondary non-tertiary education (not further specified)" 500   "Tertiary education"  
label define  pe040_f_cl30 1   "Filled" -1   "Missing"  
label define  ph010_cl31 1   "Very good" 2   "Good" 3   "Fair" 4   "Bad" 5   "Very bad"  
label define  ph010_f_cl32 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  ph020_cl33 1   "Yes" 2   "No"  
label define  ph020_f_cl34 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  ph030_cl35 1   "Yes, strongly limited" 2   "Yes, limited" 3   "No, not limited"  
label define  ph030_f_cl36 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl020_cl37 1   "Yes" 2   "No"  
label define  pl020_f_cl38 1   "Filled" -1   "Missing" -2   "Not applicable (PL031 eq 1, 2, 3 or 4 or older than the standard retirement age)"  
label define  pl025_cl39 1   "Yes" 2   "No"  
label define  pl025_f_cl40 1   "filled" -1   "Missing" -2   "Not applicable (PL020 not equal to 1)"  
label define  pl031_cl41 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl031_f_cl42 1   "Filled" -1   "Missing"  
label define  pl040_cl43 1   "Self-employed with employees" 2   "Self-employed without employees" 3   "Employee" 4   "Family worker"  
label define  pl040_f_cl44 1   "Filled" -1   "Missing" -2   "Not applicable (PL015 not equal to 1 and PL031 not equal to 1,2,3 or 4)"  
label define  pl051_cl45 1   "Commissioned Armed Forces Officers" 2   "Non-commissioned Armed Forces Officers" 3   "Armed Forces Occupations, Other Ranks" 11   "Chief Executives, Senior Officials and Legislators" 12   "Administrative and Commercial Managers" 13   "Production and Specialized Services Managers" 14   "Hospitality, Retail and Other Services Managers" 21   "Science and Engineering Professionals" 22   "Health Professionals" 23   "Teaching Professionals" 24   "Business and Administration Professionals" 25   "Information and Communications Technology Professionals" 26   "Legal, Social and Cultural Professionals" 31   "Science and Engineering Associate Professionals" 32   "Health Associate Professionals" 33   "Business and Administration Associate Professionals" 34   "Legal, Social, Cultural and Related Associate Professionals" 35   "Information and Communications Technicians" 41   "General and Keyboard Clerks" 42   "Customer Services Clerks" 43   "Numerical and Material Recording Clerks" 44   "Other Clerical Support Workers" 51   "Personal Services Workers" 52   "Sales Workers" 53   "Personal Care Workers" 54   "Protective Services Workers" 61   "Market-oriented Skilled Agricultural Workers" 62   "Market-oriented Skilled Forestry, Fishery and Hunting Workers" 63   "Subsistence Farmers, Fishers, Hunters and Gatherers" 71   "Building and Related Trades Workers (excluding Electricians)" 72   "Metal, Machinery and Related Trades Workers" 73   "Handicraft and Printing Workers" 74   "Electrical and Electronic Trades Workers" 75   "Food Processing, Woodworking, Garment and Other Craft and Related Trades Workers" 81   "Stationary Plant and Machine Operators" 82   "Assemblers" 83   "Drivers and Mobile Plant Operators" 91   "Cleaners and Helpers" 92   "Agricultural, Forestry and Fishery Labourers" 93   "Labourers in Mining, Construction, Manufacturing and Transport" 94   "Food Preparation Assistants" 95   "Street and Related Sales and Services Workers" 96   "Refuse Workers and Other Elementary Workers"  
label define  pl051_f_cl46 1   "Filled" -1   "Missing" -2   "Not applicable (PL031 not eq 1, 2, 3 or 4 and PL015 not eq 1)"  
label define  pl060_f_cl48 1   "Filled" -1   "Missing" -2   "Not applicable (PL031 not eq 1, 2, 3 or 4)" -6   "Hours varying (when an average for over four weeks is not possible)"  
label define  pl140_cl49 1   "Permanent job/work contract of unlimited duration" 2   "Temporary job/work contract of limited duration"  
label define  pl140_f_cl50 1   "Filled" -1   "Missing" -2   "Not applicable (PL040 not equal to 3)" -3   "Non-selected respondent" -4   "Not applicable because the person is employee (PL040 eq 3) but does not have a contract"  
label define  pl160_cl51 1   "Yes" 2   "No"  
label define  pl160_f_cl52 1   "Filled" -1   "Missing" -2   "Not applicable (PL031 not equal to 1, 2, 3 or 4)" -3   "Non-selected respondent"  
label define  pl170_cl53 1   "To take up or seek better job" 2   "End of temporary contract" 3   "Obliged to stop by employer (business closure, redundancy, early retirement, dismissal etc.)" 4   "Sale or closure of own/family business" 5   "Childcare and care for other dependents" 6   "Partner¿s job required us to move to another area or marriage" 7   "Other reasons"  
label define  pl170_f_cl54 1   "Filled" -1   "Missing" -2   "Not applicable (PL160 not equal to 1)" -3   "Non-selected respondent"  
label define  pl180_cl55 1   "Employed - unemployed" 2   "Employed - retired" 3   "Employed - other inactive" 4   "Unemployed - employed" 5   "Unemployed - retired" 6   "Unemployed - other inactive" 7   "Retired - employed" 8   "Retired - unemployed" 9   "Retired - other inactive" 10   "Other inactive - employed" 11   "Other inactive - unemployed" 12   "Other inactive - retired"  
label define  pl180_f_cl56 1   "Filled" -1   "Missing" -2   "Not applicable (no change since last year)" -3   "Non-selected respondent"  
label define  pl190_f_cl58 1   "Filled" -1   "Missing" -2   "Not applicable (person never worked i.e. (PL031 not equal to 1, 2, 3 or 4 AND PL015 not equal to 1))" -3   "Non-selected respondent"  
label define  pl200_f_cl60 1   "Filled" -1   "Missing" -2   "Not applicable (person never worked i.e. (PL031 not equal to 1, 2, 3 or 4 AND PL015 not equal to 1))" -3   "Non-selected respondent"  
label define  pl211a_cl61 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211a_f_cl62 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211b_cl63 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211b_f_cl64 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211c_cl65 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211c_f_cl66 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211d_cl67 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211d_f_cl68 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211e_cl69 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211e_f_cl70 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211f_cl71 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211f_f_cl72 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211g_cl73 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211g_f_cl74 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211h_cl75 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211h_f_cl76 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211i_cl77 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211i_f_cl78 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211j_cl79 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211j_f_cl80 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211k_cl81 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211k_f_cl82 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  pl211l_cl83 1   "Employee working full-time" 2   "Employee working part-time" 3   "Self-employed working full-time (including family worker)" 4   "Self-employed working part-time (including family worker)" 5   "Unemployed" 6   "Pupil, student, further training, unpaid work experience" 7   "In retirement or in early retirement or has given up business" 8   "Permanently disabled or/and unfit to work" 9   "In compulsory military or community service" 10   "Fulfilling domestic tasks and care responsibilities" 11   "Other inactive person"  
label define  pl211l_f_cl84 1   "Filled" -1   "Missing" -3   "Non-selected respondent"  
label define  py030g_f_cl131 0   "No income" 1   "Income (variable is filled)" -1   "Missing"  
label define  py031g_f_cl134 0   "No income" 1   "Income (variable is filled)" -1   "Missing"  
label define  py091g_f_cl149 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py092g_f_cl151 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py093g_f_cl153 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py094g_f_cl155 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py101g_f_cl160 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py102g_f_cl162 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py103g_f_cl164 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py104g_f_cl166 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py111g_f_cl171 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py112g_f_cl173 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py113g_f_cl175 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py114g_f_cl177 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py121g_f_cl182 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py122g_f_cl184 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py123g_f_cl186 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py124g_f_cl188 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py131g_f_cl193 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py132g_f_cl195 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py133g_f_cl197 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py134g_f_cl199 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py141g_f_cl204 0   "No income" 1   "Filled with only Contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py142g_f_cl206 0   "No income" 1   "Filled with only Contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py143g_f_cl208 0   "No income" 1   "Filled with only Non-contributory and means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  py144g_f_cl210 0   "No income" 1   "Filled with only Non-contributory and non means-tested components" 2   "Filled with mixed components" -1   "Missing" -2   "Not applicable (This scheme doesn't exist at national level)" -7   "Not applicable (PB010 ne last year)"  
label define  pd020_cl211 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd020_f_cl212 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  pd030_cl213 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd030_f_cl214 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  pd050_cl215 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd050_f_cl216 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  pd060_cl217 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd060_f_cl218 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  pd070_cl219 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd070_f_cl220 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  pd080_cl221 1   "Yes" 2   "No - cannot afford it" 3   "No - other reason"  
label define  pd080_f_cl222 1   "Filled" -1   "Missing" -3   "Not selected respondent"  
label define  px040_cl226 1   "Current household member aged 16 and over" 2   "Selected respondent" 3   "Non-selected respondent" 4   "Ineligible person"  
label values  pb020 pb020_cl1
label values  pb050_f pb050_f_cl4
label values  pb080_f pb080_f_cl6
label values  pb100 pb100_cl7
label values  pb100_f pb100_f_cl8
label values  pb110_f pb110_f_cl10
label values  pb120_f pb120_f_cl12
label values  pb130 pb130_cl13
label values  pb130_f pb130_f_cl14
label values  pb140_f pb140_f_cl16
label values  pb150 pb150_cl17
label values  pb150_f pb150_f_cl18
label values  pb160_f pb160_f_cl20
label values  pb170_f pb170_f_cl22
label values  pb180_f pb180_f_cl24
label values  pb190 pb190_cl25
label values  pb190_f pb190_f_cl26
label values  pb200 pb200_cl27
label values  pb200_f pb200_f_cl28
label values  pe040 pe040_cl29
label values  pe040_f pe040_f_cl30
label values  ph010 ph010_cl31
label values  ph010_f ph010_f_cl32
label values  ph020 ph020_cl33
label values  ph020_f ph020_f_cl34
label values  ph030 ph030_cl35
label values  ph030_f ph030_f_cl36
label values  pl020 pl020_cl37
label values  pl020_f pl020_f_cl38
label values  pl025 pl025_cl39
label values  pl025_f pl025_f_cl40
label values  pl031 pl031_cl41
label values  pl031_f pl031_f_cl42
label values  pl040 pl040_cl43
label values  pl040_f pl040_f_cl44
label values  pl051 pl051_cl45
label values  pl051_f pl051_f_cl46
label values  pl060_f pl060_f_cl48
label values  pl140 pl140_cl49
label values  pl140_f pl140_f_cl50
label values  pl160 pl160_cl51
label values  pl160_f pl160_f_cl52
label values  pl170 pl170_cl53
label values  pl170_f pl170_f_cl54
label values  pl180 pl180_cl55
label values  pl180_f pl180_f_cl56
label values  pl190_f pl190_f_cl58
label values  pl200_f pl200_f_cl60
label values  pl211a pl211a_cl61
label values  pl211a_f pl211a_f_cl62
label values  pl211b pl211b_cl63
label values  pl211b_f pl211b_f_cl64
label values  pl211c pl211c_cl65
label values  pl211c_f pl211c_f_cl66
label values  pl211d pl211d_cl67
label values  pl211d_f pl211d_f_cl68
label values  pl211e pl211e_cl69
label values  pl211e_f pl211e_f_cl70
label values  pl211f pl211f_cl71
label values  pl211f_f pl211f_f_cl72
label values  pl211g pl211g_cl73
label values  pl211g_f pl211g_f_cl74
label values  pl211h pl211h_cl75
label values  pl211h_f pl211h_f_cl76
label values  pl211i pl211i_cl77
label values  pl211i_f pl211i_f_cl78
label values  pl211j pl211j_cl79
label values  pl211j_f pl211j_f_cl80
label values  pl211k pl211k_cl81
label values  pl211k_f pl211k_f_cl82
label values  pl211l pl211l_cl83
label values  pl211l_f pl211l_f_cl84
label values  py030g_f py030g_f_cl131
label values  py031g_f py031g_f_cl134
label values  py091g_f py091g_f_cl149
label values  py092g_f py092g_f_cl151
label values  py093g_f py093g_f_cl153
label values  py094g_f py094g_f_cl155
label values  py101g_f py101g_f_cl160
label values  py102g_f py102g_f_cl162
label values  py103g_f py103g_f_cl164
label values  py104g_f py104g_f_cl166
label values  py111g_f py111g_f_cl171
label values  py112g_f py112g_f_cl173
label values  py113g_f py113g_f_cl175
label values  py114g_f py114g_f_cl177
label values  py121g_f py121g_f_cl182
label values  py122g_f py122g_f_cl184
label values  py123g_f py123g_f_cl186
label values  py124g_f py124g_f_cl188
label values  py131g_f py131g_f_cl193
label values  py132g_f py132g_f_cl195
label values  py133g_f py133g_f_cl197
label values  py134g_f py134g_f_cl199
label values  py141g_f py141g_f_cl204
label values  py142g_f py142g_f_cl206
label values  py143g_f py143g_f_cl208
label values  py144g_f py144g_f_cl210
label values  pd020 pd020_cl211
label values  pd020_f pd020_f_cl212
label values  pd030 pd030_cl213
label values  pd030_f pd030_f_cl214
label values  pd050 pd050_cl215
label values  pd050_f pd050_f_cl216
label values  pd060 pd060_cl217
label values  pd060_f pd060_f_cl218
label values  pd070 pd070_cl219
label values  pd070_f pd070_f_cl220
label values  pd080 pd080_cl221
label values  pd080_f pd080_f_cl222
label values  px040 px040_cl226
*/
save  EUSILC_Long_A2019_PERSONAL_DATA.dta, replace
